Package: org.codehaus.groovy.transform

## [Java] Class MapConstructorASTStubber

- org.codehaus.groovy.transform.MapConstructorASTStubber

-     @GroovyASTTransformation(phase = CompilePhase.CONVERSION)
      public class MapConstructorASTStubber
      extends AbstractASTTransformation

  Joint-compilation stubber for MapConstructor.

  Emits the `Foo(Map)` constructor signature so Java consumers can call `new Foo(someMap)` against the joint-compilation stub. The signature is invariant with respect to property visibility — it's always `Foo(Map)` regardless of which fields, super properties, or include/exclude lists end up driving the body — so the stub is a faithful representation of the runtime API.

  If `noArg = true` is set on the annotation, an empty no-arg constructor is also emitted; this mirrors the second constructor the full transform produces at CANONICALIZATION.

  Since:
    6.0.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractASTTransformation` | `RETENTION_CLASSNODE, sourceUnit`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractASTTransformation` | `addError, checkIncludeExcludeUndefinedAware, checkIncludeExcludeUndefinedAware, checkNotInterface, checkPropertyList, checkPropertyList, checkPropertyList, copyAnnotatedNodeAnnotations, copyAnnotatedNodeAnnotations, deemedInternal, deemedInternalName, getAnnotationName, getMemberClassList, getMemberClassValue, getMemberClassValue, getMemberIntValue, getMemberStringList, getMemberStringValue, getMemberStringValue, getMemberValue, hasAnnotation, init, markAsInternal, memberHasValue, shouldSkip, shouldSkip, shouldSkip, shouldSkipOnDescriptorUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, shouldSkipUndefinedAware, tokenize`

- - ### Method Detail

    - #### public void visit(ASTNode[] nodes, SourceUnit source)